package com.ruoyi.web.app;

import com.github.pagehelper.PageHelper;
import com.ruoyi.bst.agreement.domain.AgreementQuery;
import com.ruoyi.bst.agreement.service.AgreementService;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/app/agreement")
public class AppAgreementController extends BaseController {

    @Autowired
    private AgreementService agreementService;

    @ApiOperation("查询最新协议")
    @GetMapping("/latest")
    public AjaxResult getAgreement(AgreementQuery query) {
        PageHelper.startPage(1, 1);
        PageHelper.orderBy("create_time desc");
        if (query.getContentType()==null) {
            return AjaxResult.error("内容类型不能为空");
        }
        if (query.getAgreementType()==null) {
            return AjaxResult.error("协议类型不能为空");
        }
        if (query.getAreaId()==null) {
            return AjaxResult.error("运营区不能为空");
        }
        return success(agreementService.selectAgreementList(query));
    }


}
